Bug 215518 - audio/xmms2: Remove libofa support
Summary: audio/xmms2: Remove libofa support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-23 15:35 UTC by Jason E. Hale
Modified: 2016-12-25 00:51 UTC (History)
0 users

See Also:
madpilot: maintainer-feedback+


Attachments
Remove libofa support (1.97 KB, patch)
2016-12-23 15:35 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale freebsd_committer 2016-12-23 15:35:14 UTC
Created attachment 178229 [details]
Remove libofa support

The MusicDNS service which audio/libofa generates audio fingerprints for has been discontinued. Since the service no longer functions and libofa has long been abandoned, I have marked it DEPRECATED and am trying to remove it from the ports tree. Hence, I am requesting that libofa support in audio/xmms2 be permanently disabled.
Comment 1 Guido Falsi freebsd_committer 2016-12-24 11:58:29 UTC
Hi,

patch looks good.

Will commit after some quick testing.

Thanks.
Comment 2 commit-hook freebsd_committer 2016-12-25 00:27:50 UTC
A commit references this bug:

Author: madpilot
Date: Sun Dec 25 00:27:31 UTC 2016
New revision: 429388
URL: https://svnweb.freebsd.org/changeset/ports/429388

Log:
  Remove libofa support. The service it depends on has been discontinued
  and the libofa port is now DEPRECATED.

  PR:		215518
  Submitted by:	jhale

Changes:
  head/audio/xmms2/Makefile
  head/audio/xmms2/pkg-plist
Comment 3 Guido Falsi freebsd_committer 2016-12-25 00:48:53 UTC
Committed! Thanks.
Comment 4 Jason E. Hale freebsd_committer 2016-12-25 00:51:12 UTC
(In reply to Guido Falsi from comment #3)
Thank you! :)